Bug 3673 - IndexOutOfBoundsException in EntryResourceProperty
: IndexOutOfBoundsException in EntryResourceProperty
Status: RESOLVED FIXED
: MDS4
wsrf_servicegroup
: 4.0.1
: PC Windows XP
: P3 normal
: ---
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2005-08-22 16:04 by
Modified: 2006-03-28 18:51 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-08-22 16:04:39
2005-08-20 11:32:47,651 WARN  servicegroup.EntryResourceProperty
[ServiceThread-
1233,java:?] Truncated Entry RP due to an unhandled exception during assembly
java.lang.IndexOutOfBoundsException: Index: 0, Size: 0
    at java.util.ArrayList.RangeCheck(ArrayList.java(Inlined Compiled Code))
    at java.util.ArrayList.get(ArrayList.java(Compiled Code))
    at org.globus.wsrf.impl.SimpleResourceProperty.get
(SimpleResourceProperty.java(Compiled Code))
    at 
org.globus.wsrf.impl.servicegroup.EntryResourceProperty.getDynamicValue
(EntryResourceProperty.java(Compiled Code))
    at sun.reflect.GeneratedMethodAccessor61.invoke(Unknown Source)
    at sun.reflect.DelegatingMethodAccessorImpl.invoke
(DelegatingMethodAccessorImpl.java(Compiled Code))
    at java.lang.reflect.Method.invoke(Method.java(Compiled Code))
    at org.globus.wsrf.impl.ReflectionResourceProperty.getValueArray
(ReflectionResourceProperty.java(Inlined Compiled Code))
    at org.globus.wsrf.impl.ReflectionResourceProperty.toSOAPElementArray
(ReflectionResourceProperty.java(Compiled Code))
    at org.globus.wsrf.impl.ReflectionResourceProperty.toSOAPElements
(ReflectionResourceProperty.java(Compiled Code))
    at org.globus.wsrf.impl.ResourcePropertyTopic.toSOAPElements
(ResourcePropertyTopic.java(Compiled Code))
    at 
org.globus.wsrf.impl.properties.GetResourcePropertyProvider.getResourceProperty
(GetResourcePropertyProvider.java(Compiled Code))
    at sun.reflect.GeneratedMethodAccessor60.invoke(Unknown Source)
------- Comment #1 From 2005-08-22 19:56:53 -------
Update: I've committed a fix to CVS that should take care of this.  It is in
the
mds_4_0_1_concurrency branch at the moment. 
------- Comment #2 From 2006-03-28 18:51:56 -------
This fix is now merged into 4_0_branch